package ink.wgink.service.department.pojo.dtos;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: DepartmentLogDTO
 * @Description: 部门调整
 * @Author: WangGeng
 * @Date: 2020/7/21 17:18
 * @Version: 1.0
 **/
@ApiModel
public class DepartmentAdjustmentDTO implements Serializable {

    private static final long serialVersionUID = 829590971292786101L;
    @ApiModelProperty(name = "oldDepartmentName", value = "旧部门名称")
    private String oldDepartmentName;
    @ApiModelProperty(name = "newDepartmentName", value = "新部门名称")
    private String newDepartmentName;
    @ApiModelProperty(name = "adjustmentType", value = "操作类型")
    private String adjustmentType;
    @ApiModelProperty(name = "gmtCreate", value = "创建时间")
    private String gmtCreate;
    @ApiModelProperty(name = "creatorName", value = "创建人")
    private String creatorName;

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public String getOldDepartmentName() {
        return oldDepartmentName == null ? "" : oldDepartmentName.trim();
    }

    public void setOldDepartmentName(String oldDepartmentName) {
        this.oldDepartmentName = oldDepartmentName;
    }

    public String getNewDepartmentName() {
        return newDepartmentName == null ? "" : newDepartmentName.trim();
    }

    public void setNewDepartmentName(String newDepartmentName) {
        this.newDepartmentName = newDepartmentName;
    }

    public String getAdjustmentType() {
        return adjustmentType == null ? "" : adjustmentType.trim();
    }

    public void setAdjustmentType(String adjustmentType) {
        this.adjustmentType = adjustmentType;
    }

    public String getGmtCreate() {
        return gmtCreate == null ? "" : gmtCreate.trim();
    }

    public void setGmtCreate(String gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public String getCreatorName() {
        return creatorName == null ? "" : creatorName.trim();
    }

    public void setCreatorName(String creatorName) {
        this.creatorName = creatorName;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("{");
        sb.append("\"oldDepartmentName\":\"")
                .append(oldDepartmentName).append('\"');
        sb.append(",\"newDepartmentName\":\"")
                .append(newDepartmentName).append('\"');
        sb.append(",\"adjustmentType\":\"")
                .append(adjustmentType).append('\"');
        sb.append(",\"gmtCreate\":\"")
                .append(gmtCreate).append('\"');
        sb.append(",\"creatorName\":\"")
                .append(creatorName).append('\"');
        sb.append('}');
        return sb.toString();
    }
}
